package com.notificationFramework.stimulus;

import com.notificationFramework.stimulusStrategy.Accelerometer;
import com.notificationFramework.stimulusStrategy.StimulusStrategy;


/**
 * Created by Peter De Jonckheere on 09/01/2018.
 * <p>
 * The interface which provides an abstraction between the main activities and the back-end of
 * the application. It can be implemented by a new stimulus class to provide an connection
 * between notifications and strategies.
 * </p>
 */

public interface Stimulus {
    StimulusStrategy defaultStrategy = new Accelerometer();
}
